# older opencdk forgot to bundle m4 file
%define opencdk_version 0.5.4-2mdk
%define libgcrypt_version 1.1.94

%define major 13
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	2.0.0
%define		subrel 2
Release:	%mkrel 2
URL:		http://www.gnutls.org
License:	GPLv2+/LGPLv2.1+
Group:		System/Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		gnutls-1.4.1-rh-CVE-2008-1948,1949,1950.patch
Patch1:		gnutls-CVE-2008-4989.patch
BuildRequires:	opencdk-devel >= %{opencdk_version}
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n	%{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	opencdk-devel >= %{opencdk_version}
Requires:	libgcrypt-devel >= %{libgcrypt_version}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .cve-2008-1948,1949,1950
%patch1 -p1 -b .cve2008-4989
autoreconf

%build
export CPPFLAGS="-I%{_includedir}/lzo"
%configure2_5x \
	--with-included-libtasn1=yes \
	--with-included-libcfg=yes \
	--disable-srp-authentication \
	--with-libz-prefix=%{_prefix} \
	--with-libgcrypt \
	--with-libgcrypt-prefix=%{_prefix} \
	--disable-rpath

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%{find_lang} %{name}
%multiarch_binaries %{buildroot}%{_bindir}/libgnutls-config %{buildroot}%{_bindir}/libgnutls-extra-config

%clean
rm -rf %{buildroot}

%post
%_install_info gnutls.info

%post -p /sbin/ldconfig -n %{libname}

%postun
%_remove_install_info gnutls.info

%postun -p /sbin/ldconfig -n %{libname}

%files -f %{name}.lang 
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_mandir}/man?/*
%{_infodir}/gnutls*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_bindir}/libgnutls*
%{_includedir}/gnutls
%{_datadir}/aclocal/*

%multiarch
%{multiarch_bindir}/libgnutls-config 
%{multiarch_bindir}/libgnutls-extra-config 


%changelog
* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 2.0.0-2.2mdv2008.0
+ Revision: 302035
- ad patch1 fixing CVE-2008-4989

* Tue Sep 18 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 89561
- Force rebuild

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 79694
- Correct license of library
- New version 2.0.0

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.3-1mdv2008.0
+ Revision: 51577
- disable rpath
- compile with gcrypt support
- new version
- new devel library policy


* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 1.6.1-1mdv2007.0
+ Revision: 112605
- 1.6.1
  drop P0 - merged upstream
  work around %%multiarch weirdness for multiple files

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
+ Revision: 85045
- Import gnutls

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
- 1.4.5

* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-4mdv2007.0
- - Rebuild against ncurse

* Wed Sep 20 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-3mdv2007.0
- P0: security fix for CVE-2006-4790

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.0-2mdv2007.0
- Rebuild

* Fri May 26 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Sat Apr 15 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.25-4mdk
- P3: security fix for CVE-2006-0645

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.25-3mdk
- Rebuild

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-2mdk
- replace source 2 by patch 2 and update it for new liblzo

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-1mdk
- update patch 1
- update minilzo to 2.00
- new version

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 1.0.23-2mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.23-1mdk
- 1.0.23
- fix %%libname_orig
- remove patent tainted SRP code (P1 from fedora)
- drop P0 (fixed upstream)
- fix summary-ended-with-dot

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.13-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.10-1mdk
- new release

